#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Encode
%define	pnam	Detect
Summary:	Encode::Detect - An Encode::Encoding subclass that detects the encoding of data
Summary(pl.UTF-8):	Encode::Detect - podklasa Encode::Encoding wykrywająca kodowanie danych
Name:		perl-Encode-Detect
Version:	1.01
Release:	11
License:	MPL 1.1
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Encode/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ee9faf55d7105c97b02b8ebe590819c7
URL:		http://search.cpan.org/dist/Encode-Detect/
BuildRequires:	perl-ExtUtils-CBuilder
BuildRequires:	perl-Module-Build >= 0.2808
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Data-Dump
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Perl module is an Encode::Encoding subclass that uses
Encode::Detect::Detector to determine the charset of the input data
and then decodes it using the encoder of the detected charset.

It is similar to Encode::Guess, but does not require the configuration
of a set of expected encodings. Like Encode::Guess, it only supports
decoding - it cannot encode.

%description -l pl.UTF-8
Ten moduł Perla jest podklasą Encode::Encoding wykorzystującą
Encode::Detect::Detector do określenia zestawu znaków danych
wejściowych i dekodującą je przy użyciu kodera dla wykrytego zestawu
znaków.

Moduł ten jest podobny do Encode::Guess, ale nie wymaga konfiguracji
zbioru oczekiwanych kodowań. Podobnie jak Encode::Guess obsługuje
tylko dekodowanie; nie potrafi kodować.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	--extra-compiler-flags='%{rpmcflags} -x c++ -Iinclude' \
	--destdir=$RPM_BUILD_ROOT \
	--installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/Encode/*.pm
%{perl_vendorarch}/Encode/Detect
%dir %{perl_vendorarch}/auto/Encode/Detect
%dir %{perl_vendorarch}/auto/Encode/Detect/Detector
%attr(755,root,root) %{perl_vendorarch}/auto/Encode/Detect/Detector/*.so
%{_mandir}/man3/*
%changelog
* Sun Jun 11 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Encode-Detect.git;a=log;h=master

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 109208d
- perl req/prov fix
- release 11 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 58bd9f4
- rebuild with perl 5.26
- release 10 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 4e2c627
- rebuild with perl 5.24.0
- release 9 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> e77f417
- release 8 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 78acc6e
- x32 rebuild
- release 7 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> b9386e1
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 046c3f9
- rebuild for perl 5.20
- release 6 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> f6c5b33
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 5da8772
- rel 4

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> e9d3424
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d08e7ae
- release 2

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> d221955
- updated to 1.01

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 35fc18c
- release 4

* Sun Mar 02 2008 radek <radek@pld-linux.org> cbe885b
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c63e7ec
- rel 2

* Wed May 09 2007 Jakub Bogusz <qboosh@pld-linux.org> 0484331
- pl

* Thu May 03 2007 Adam Gołębiowski <adamg@pld-linux.org> 17dc513
- Data::Dump is needed or tests

* Thu May 03 2007 radek <radek@pld-linux.org> 64a0726
- fix BRs (M::B >= 0.2808)

* Mon Apr 30 2007 radek <radek@pld-linux.org> e5aa49f
- new

